Bug 203044 - http downloads during install time-out and freeze installation
http downloads during install time-out and freeze installation
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Depends On:
  Show dependency treegraph
Reported: 2006-08-17 18:56 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-03 13:06:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2006-08-17 18:56:48 EDT
Description of problem:
adding an additional repository during installation (e.g. extras-development)
via HTTP URL sometimes leads to time-outs of the HTTP download on large
packages. THere is apparently no detection of this failure and the installation

Version-Release number of selected component (if applicable):

How reproducible:
most of the time

Steps to Reproduce:
1. install rawhide of 2006-08-17 vi boot.iso and NFS image
2. configure HTTP URL repository for software
Actual results:
HTTP dosnload time-out and hang-up the installation on large packages.

Expected results:
normal installation

Additional info:
local lan is fully operational and operating against an FC5 httpd server.
NIC is an RTL8xxx on MSI mobo with a Celeron(Coppermine) CPU.
HTTP download work fine after installation via firefox and friends.
Haven't been able to test an FTP repository as I can't find the syntax
for a non-anonymous install.  I may re-configure the FTP server to allow
anonymous access to the repository in /srv.
Comment 1 G.Wolfe Woodbury 2006-08-23 23:36:41 EDT
I reconfigured FTP and today's rawhide (2006-08-23) anaconda died on loading and
installing plone from the extras-development repository.  It sat for 3 hours
doing nothing.  So far extra repositories are a no-go for my setup.  The timeout
problem is just too bad.
Comment 2 David Cantrell 2007-03-15 14:54:11 EDT
Is this happening with the latest rawhide and/or Fedora 7 test releases?
Comment 3 G.Wolfe Woodbury 2007-03-17 04:31:20 EDT
yes, though it seems to be occurring less often, but it has occurred at leas
once during my recen series of rawhide installs (22007-03-15)
Comment 4 G.Wolfe Woodbury 2007-03-31 20:03:36 EDT
Still happening almost all the time with rawhide of 2007-03-30 and
anaconda-  I copied the repositories to a different machine (runnin
rawhide) and it still times out on the main repository.
Comment 5 G.Wolfe Woodbury 2007-04-24 05:17:55 EDT
rawhide of 2007-04-23 apparently still has the problem.
There was some fixing of yum to handle multiple repositories over the past few
days, and now that they are working again I tried an FTP and HTTP access to the
extras-development repository.

one of one tries with FTP timed out accessing an extras package.
one of one tries via HTTP failed for a non-related reason.

will try more installs over next few days with rawhide and FC7t4
Comment 6 Chris Lumens 2007-04-24 16:47:23 EDT
dlehman has been pretty good at understanding this urlgrabber code, so I'm
reassigning this bug to him.  Perhaps he has some good ideas on what to do here.
Comment 7 David Lehman 2007-09-07 14:15:31 EDT
There were a number of fixes related to network failures and proper use of the
urlgrabber objects which appeared in early May. Are you still experiencing
failures with recent trees? 
Comment 8 G.Wolfe Woodbury 2007-11-03 13:06:48 EDT
haven't seen it recently, closing bug.

Note You need to log in before you can comment on or make changes to this bug.